org.eclipse.rdf4j.query.parser.sparql.ast

## Class ASTOperationContainer

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode
  - - org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer

- All Implemented Interfaces:
    Node
  Direct Known Subclasses:
    ASTQueryContainer, ASTUpdateContainer

      public abstract class ASTOperationContainer
      extends SimpleNode

  Abstract supertype of `ASTQueryContainer` and `ASTUpdateContainer`
  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode

      `children, id, parent, parser`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ASTOperationContainer(int id)`
    `protected` | `ASTOperationContainer(SyntaxTreeBuilder p, int id)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASTBaseDecl` | `getBaseDecl()`
    `ASTOperation` | `getOperation()`
    `List<ASTPrefixDecl>` | `getPrefixDeclList()`
    `abstract String` | `getSourceString()`
    `abstract void` | `setSourceString(String source)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode

      `childrenAccept, dump, dump, jjtAccept, jjtAddChild, jjtAppendChild, jjtClose, jjtGetChild, jjtGetChild, jjtGetChildren, jjtGetChildren, jjtGetNumChildren, jjtGetParent, jjtInsertChild, jjtOpen, jjtReplaceChild, jjtReplaceWith, jjtSetParent, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTOperationContainer

          protected ASTOperationContainer(int id)

      Parameters:
        `id` -

    - #### ASTOperationContainer

          protected ASTOperationContainer(SyntaxTreeBuilder p,
                                          int id)

  - ### Method Detail

    - #### getBaseDecl

          public ASTBaseDecl getBaseDecl()

    - #### getOperation

          public ASTOperation getOperation()

    - #### getPrefixDeclList

          public List<ASTPrefixDecl> getPrefixDeclList()

    - #### setSourceString

          public abstract void setSourceString(String source)

    - #### getSourceString

          public abstract String getSourceString()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.